[freetds] Connecting to MS SQL server from Linux/PHP

Stefan Sonnenberg-Carstens s.sonnenberg at coolspot.de
Fri Jun 27 10:13:50 EDT 2003


It's a PHP function.
To use it, compile PHP with --with-mssql=$DIR_WHERE_FREETDS_IS_INSTALLED

----- Original Message ----- 
From: "Horst Worsch" <worsch at biochem.mpg.de>
To: <freetds at lists.ibiblio.org>
Sent: Friday, June 27, 2003 12:44 PM
Subject: [freetds] Connecting to MS SQL server from Linux/PHP


> Hi
>
> on my Apache web server (SuSE Linux 8.1) I have running
> Apache 1.3.26 and PHP 4.3.2. I want to query an MS-SQL 7
> Server. tsql works, but accessing the server via HTTP/PHP
> produces the following error message:
>
>    Fatal error: Call to undefined function: mssql_pconnect()
>    in /srv/www/htdocs/.../includes/adodb350/drivers/adodb-mssql.inc.php
>    on line 366
>
> the above line 366 is this one:
>    $this->_connectionID =
mssql_pconnect($argHostname,$argUsername,$argPassword);
>
> The above function (mssql_pconnect) seems not to be defined anywhere in
scripts
> directories...
>
>
>
>
> Here is what I've done:
>
> Installed Sybase Client Libraries (--nodeps):
>
>    # rpm -qa|grep sybase
>    sybase-common-11.9.2-3
>    sybase-openclient-11.1.1-3
>    sybase-ase-11.9.2-3
>
> --
>
> Patched PHP (Security Patch):
>
>    # rpm -qa|grep mod_php
>    mod_php4-core-4.2.2-82
>    mod_php4-4.2.2-82
>    mod_php4-devel-4.2.2-82
>    mod_php4-servlet-4.2.2-82
>    # rpm -Fvh mod_php4-core-4.2.2-168.i586.patch.rpm
>    # rpm -Fvh mod_php4-4.2.2-168.i586.patch.rpm
>    # rpm -Fvh mod_php4-devel-4.2.2-168.i586.patch.rpm
>    # rpm -Fvh mod_php4-servlet-4.2.2-168.i586.patch.rpm
>    # rpm -qa|grep mod_php
>    mod_php4-servlet-4.2.2-168
>    mod_php4-core-4.2.2-168
>    mod_php4-4.2.2-168
>    mod_php4-devel-4.2.2-168
>
>    #    cd /usr/local/php-4.3.2RC1
>    #
./configure --with-mysql --with-apxs --with-sybase-ct=/opt/sybase-11.9.2
>    checking for Apache 1.x module support via DSO through APXS...
>
>    Sorry, I was not able to successfully run APXS.  Possible reasons:
>
>    1.  Perl is not installed;
>    2.  Apache was not compiled with DSO support (--enable-module=so);
>    3.  'apxs' is not in your path.  Try to use --with-apxs=/path/to/apxs
>    The output of apxs follows
>    ./configure: line 3085: apxs: command not found
>    configure: error: Aborting
>
> Ok, then I tried
>
>    # ./configure --with-mysql --with-sybase-ct=/opt/sybase-11.9.2
>    # make
>    # make install
>
> --
>
> # vi /etc/init.d/apache
> .
> .
> SYBASE=/opt/sybase-11.9.2
> LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:$SYBASE/lib
> export SYBASE LD_LIBRARY_PATH
> .
> .
>
> --
>
> # vi /opt/sybase-11.9.2/interfaces
> DB_SERVER
>         master tcp tds7.0 192.168.1.106 1433
>         query tcp tds7.0 192.168.1.106 1433
>
> --
>
> But now I get the error messages described above.
>
> Can anybody help?
>
> Thanks a lot!
>
>
>
> --
> Horst Worsch
> Max-Planck-Institut für Biochemie
> Rechenzentrum                       Tel. +49(89)8578-2724
> Am Klopferspitz 18a                 Fax. +49(89)8578-2479
> D-82152 Martinsried                 worsch at biochem.mpg.de
>
> _______________________________________________
> FreeTDS mailing list
> FreeTDS at lists.ibiblio.org
> http://lists.ibiblio.org/mailman/listinfo/freetds
>
>





More information about the FreeTDS mailing list